package com.ssj.service.sys.analysis.service;

import java.util.List;
import java.util.Map;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.ssj.bean.sys.analysis.bean.Analysis;
import com.ssj.framework.core.common.service.BaseService;

public interface AnalysisService extends BaseService<Analysis, String> {
	
	public boolean save(String libId,String userId,String vipId,Integer source,Integer type);
	
	public Analysis getAnalysisByDay(String libId,String userId,String vipId,Integer source,Integer type,String dayTime);

	public Long countLibJoinConsumeSumByLibService(String date);
	
	public Long countFxMerchantSumByPortNum();
	
	public List<Map<String,Object>> countFxMerchantSumByTop(String date);
	
	public Page<Map<String, Object>> countFxMerchantServiceByDate(Map<String, Object> params, Pageable pageable);
	
	public Page<Map<String, Object>> countFxMerchantServiceByVipDate(Map<String, Object> params, Pageable pageable);
	
	public Page<Map<String, Object>> countFxMerchantCommonByCountDate(Map<String, Object> params, Pageable pageable);
	
	public Page<Map<String, Object>> countFxMerchantCommonByVipDate(Map<String, Object> params, Pageable pageable);
	
	public Page<Map<String, Object>> countFxMerchantCommonByUserDate(Map<String, Object> params, Pageable pageable);
	
	
}
